import React from 'react';
import { ConfigProps } from 'swipe-core-provider';
export interface UseSwipe<T> {
    swipeEvents: UseSwipeEvents<T>;
    handleSlide: (flag: 'L' | 'R') => void;
    changeIndex: (index: number) => void;
}
interface UseSwipeEvents<T> {
    onTouchStart: React.TouchEventHandler<T> | undefined;
    onTouchMove: React.TouchEventHandler<T> | undefined;
    onTouchEnd: React.TouchEventHandler<T> | undefined;
    onTouchCancel: React.TouchEventHandler<T> | undefined;
    onPointerDown: React.MouseEventHandler<T> | undefined;
    onPointerMove: React.MouseEventHandler<T> | undefined;
    onPointerUp: React.MouseEventHandler<T> | undefined;
    onPointerLeave: React.MouseEventHandler<T> | undefined;
    onPointerCancel: React.MouseEventHandler<T> | undefined;
}
export default function useSwipe<T extends HTMLElement>(dom: React.RefObject<T>, length: number, config?: ConfigProps): UseSwipe<T>;
export {};
